<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" version="1.0" encoding="ISO-8859-1" indent="yes"/>
	<xsl:template match="/">
	<ns2:SearchResponseElement xmlns:ns2="http://www.bizmatica.com/OnStageSearch/">
			<responseSearchString><xsl:value-of select="response/query/params/searchText"/></responseSearchString>
			<responseNumDocs><xsl:value-of select="response/query/numDocs"/></responseNumDocs>
			<responseNumSources><xsl:value-of select="response/query/numSources"/></responseNumSources>
			<responseList>
				<xsl:for-each select="response/list/document">
					<responseDocument>
						<docId><xsl:value-of select="luceneDocId"/></docId>
						<docUrl><xsl:value-of select="docKey"/></docUrl>
						<docDate><xsl:value-of select="dateDoc"/></docDate>
						<docType><xsl:value-of select="docType"/></docType>
						<docExtension><xsl:value-of select="extension"/></docExtension>
						<docTitle><xsl:value-of select="title"/></docTitle>
						<docSummary><xsl:value-of select="summary"/></docSummary>
						<docHighlight><xsl:value-of select="highlightedContentsText"/></docHighlight>
						<docSize><xsl:value-of select="size"/></docSize>
						<docScore><xsl:value-of select="score"/></docScore>
						<docAuthors><xsl:for-each select="authors"><xsl:value-of select="string"/>|</xsl:for-each></docAuthors>
						<docClassList>
							<xsl:for-each select="classes/facet">
								<docClass>
									<pathId><xsl:value-of select="pathId"/></pathId>
									<pathName><xsl:value-of select="facetId"/></pathName>
								</docClass>
							</xsl:for-each>
						</docClassList>
					</responseDocument>
				</xsl:for-each>
			</responseList>
	</ns2:SearchResponseElement>
	</xsl:template>
</xsl:stylesheet>