package com.sample.beans;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;

import org.apache.camel.Exchange;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.w3c.dom.Document;

import org.example.sample.*;
import com.cdyne.ws.weatherws.*;

public class MyBean {

	private static final Log LOG = LogFactory.getLog(MyBean.class);
	
	private String beanProp = "";

	public String getBeanProp() {
		return beanProp;
	}

	public void setBeanProp(String beanProp) {
		this.beanProp = beanProp;
	}

	public void doSomething(Exchange exchange)
	{
		SampleRequest msgIn = (SampleRequest) exchange.getIn().getBody();
		 
		// read input
		String sampleIn = msgIn.getIn();
		LOG.info("Got request: ");
        LOG.info("- sampleIn:: " + sampleIn );
        
		// call external web service 
        Weather weatherService = new Weather();
        WeatherSoap weatherSoap = weatherService.getWeatherSoap();
        WeatherReturn weatherReturn = weatherSoap.getCityWeatherByZIP("zip");
        String weatherCity = weatherReturn.getCity();
        LOG.info("- weatherCity:: " + weatherCity );
		
		// compose output, same value of incoming
        SampleResponse msgOut = new SampleResponse();
        msgOut.setOut(sampleIn);
        exchange.getIn().setBody(msgOut);
	}
	
}
